function varargout = simgly(varargin)
%SIMGLY M-file for simgly.fig
% Simulation of glycolysis  - aerobic conditions - 40mM glucose pulse.
%
% DYNAMO project http://kdbio.inesc-id.pt/~svinga/dynamo/
% Parameter (default) values taken from Vinga S., Thomaseth K., Lemos J.M., Neves A.R., Santos
% H., Freitas A.T.(2008) Structural analysis of metabolic networks: a case
% study on Lactococcus lactis. In Proc. of the 8th Portuguese Conference on
% Automatic Control (CONTROLO'2008). July 21-23, Vila Real, Portugal.
% Files needed:
%   simgly.fig (GUI), gly.m (simulation), Lactococcus_Data.mat (data)
%----------------------------------------------------------------------------
%      SIMGLY, by itself, creates a new SIMGLY or raises the existing
%      singleton*.
%      H = SIMGLY returns the handle to a new SIMGLY or the handle to
%      the existing singleton*.
%      SIMGLY('Property','Value',...) creates a new SIMGLY using the
%      given property value pairs. Unrecognized properties are passed via
%      varargin to simgly_OpeningFcn.  This calling syntax produces a
%      warning when there is an existing singleton*.
%      SIMGLY('CALLBACK') and SIMGLY('CALLBACK',hObject,...) call the
%      local function named CALLBACK in SIMGLY.M with the given input
%      arguments.
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
% See also: GUIDE, GUIDATA, GUIHANDLES
%--------------------------------------------------------------------------
% Last Modified by GUIDE v2.5 01-Sep-2008 15:18:52
% Susana Vinga, svinga@kdbio.inesc-id.pt
%--------------------------------------------------------------------------

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @simgly_OpeningFcn, ...
                   'gui_OutputFcn',  @simgly_OutputFcn, ...
                   'gui_LayoutFcn',  [], ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
   gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before simgly is made visible.
function simgly_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   unrecognized PropertyName/PropertyValue pairs from the
%            command line (see VARARGIN)

% Choose default command line output for simgly
handles.output = hObject;

%initizalie all parameters - check dimension!!!
%handles.param = zeros(1,2);
% 
handles.param=[0.053, 0.042, 2.6809, ...
     7.2032,0.9975,-1.4864,0.3858,0.3459,1.544,1.516,0.3384,1.093,0.2584,-0.0967,0.1342,0.094,0.8624,0.7663,0.0382,0.2111,0.0325,0.6755,1.0322,-0.0519,1.7474,1.4031,2.0404];
% 
handles=simulate(handles);    

% load paramsAER
% paramlabels={'k','alfa','beta','beta1','h11','h12','h25','beta2','h22','h2atp','beta3','h33','h3pi','h3nad','beta52','h525','beta51','h513','h515','h51pi','beta61','h616','h613','h61nad','beta62','h262','k45'};
% j=0;for i=paramlabels;j=j+1;disp(['set(handles.' i{1} 'ValueSlider, ''Value'', ' num2str(params(j),12) ');']);end
set(handles.kValueSlider, 'Value', 0.0530251);
set(handles.alfaValueSlider, 'Value', 0.0419958);
set(handles.betaValueSlider, 'Value', 2.68092);
set(handles.beta1ValueSlider, 'Value', 7.20321);
set(handles.h11ValueSlider, 'Value', 0.997546);
set(handles.h12ValueSlider, 'Value', -1.48643);
set(handles.h25ValueSlider, 'Value', 0.38576);
set(handles.beta2ValueSlider, 'Value', 0.345889);
set(handles.h22ValueSlider, 'Value', 1.54399);
set(handles.h2atpValueSlider, 'Value', 1.51599);
set(handles.beta3ValueSlider, 'Value', 0.338423);
set(handles.h33ValueSlider, 'Value', 1.09298);
set(handles.h3piValueSlider, 'Value', 0.258372);
set(handles.h3nadValueSlider, 'Value', -0.0966562);
set(handles.beta52ValueSlider, 'Value', 0.134164);
set(handles.h525ValueSlider, 'Value', 0.0940446);
set(handles.beta51ValueSlider, 'Value', 0.862421);
set(handles.h513ValueSlider, 'Value', 0.7663);
set(handles.h515ValueSlider, 'Value', 0.0382342);
set(handles.h51piValueSlider, 'Value', 0.211149);
set(handles.beta61ValueSlider, 'Value', 0.0324743);
set(handles.h616ValueSlider, 'Value', 0.675486);
set(handles.h613ValueSlider, 'Value', 1.03221);
set(handles.h61nadValueSlider, 'Value', -0.0519436);
set(handles.beta62ValueSlider, 'Value', 1.74742);
set(handles.h262ValueSlider, 'Value', 1.40312);
set(handles.k45ValueSlider, 'Value', 2.04035);


% load paramsAER
% paramlabels={'k','alfa','beta','beta1','h11','h12','h25','beta2','h22','h2atp','beta3','h33','h3pi','h3nad','beta52','h525','beta51','h513','h515','h51pi','beta61','h616','h613','h61nad','beta62','h262','k45'};
% j=0;for i=paramlabels;j=j+1;disp(['set(handles.' i{1} 'ValueSlider, ''min'', ' num2str( min(round(params(j)-0.5),0) ) ', ''max'', ' num2str(round(params(j)+0.5)) ');']);end

set(handles.kValueSlider, 'min', 0, 'max', 1);
set(handles.alfaValueSlider, 'min', 0, 'max', 1);
set(handles.betaValueSlider, 'min', 0, 'max', 3);
set(handles.beta1ValueSlider, 'min', 0, 'max', 8);
set(handles.h11ValueSlider, 'min', 0, 'max', 1);
set(handles.h12ValueSlider, 'min', -2, 'max', -1);
set(handles.h25ValueSlider, 'min', 0, 'max', 1);
set(handles.beta2ValueSlider, 'min', 0, 'max', 1);
set(handles.h22ValueSlider, 'min', 0, 'max', 2);
set(handles.h2atpValueSlider, 'min', 0, 'max', 2);
set(handles.beta3ValueSlider, 'min', 0, 'max', 1);
set(handles.h33ValueSlider, 'min', 0, 'max', 2);
set(handles.h3piValueSlider, 'min', 0, 'max', 1);
set(handles.h3nadValueSlider, 'min', -1, 'max', 0);
set(handles.beta52ValueSlider, 'min', 0, 'max', 1);
set(handles.h525ValueSlider, 'min', 0, 'max', 1);
set(handles.beta51ValueSlider, 'min', 0, 'max', 1);
set(handles.h513ValueSlider, 'min', 0, 'max', 1);
set(handles.h515ValueSlider, 'min', 0, 'max', 1);
set(handles.h51piValueSlider, 'min', 0, 'max', 1);
set(handles.beta61ValueSlider, 'min', 0, 'max', 1);
set(handles.h616ValueSlider, 'min', 0, 'max', 1);
set(handles.h613ValueSlider, 'min', 0, 'max', 2);
set(handles.h61nadValueSlider, 'min', -1, 'max', 0);
set(handles.beta62ValueSlider, 'min', 0, 'max', 2);
set(handles.h262ValueSlider, 'min', 0, 'max', 2);
set(handles.k45ValueSlider, 'min', 0, 'max', 3);

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes simgly wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = simgly_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes during object creation, after setting all properties.
function simulation_axes_CreateFcn(hObject, eventdata, handles)
% hObject    handle to simulation_axes (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate simulation_axes


% --- Executes on slider movement.
function kValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to kValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.kCurrentValue,'String',...
   num2str(get(handles.kValueSlider,'Value')));

handles.param(1)=get(handles.kValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function kValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to kValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function kCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to kCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of kCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of kCurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.kValueSlider,'Min') && ...
    val <= get(handles.kValueSlider,'Max')
set(handles.kValueSlider,'Value',val);
handles.param(1)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function kCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to kCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over kCurrentValue.
function kCurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to kCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function FileMenu_Callback(hObject, eventdata, handles)
% hObject    handle to FileMenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function OpenMenuItem_Callback(hObject, eventdata, handles)
% hObject    handle to OpenMenuItem (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function PrintMenuItem_Callback(hObject, eventdata, handles)
% hObject    handle to PrintMenuItem (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function CloseMenuItem_Callback(hObject, eventdata, handles)
% hObject    handle to CloseMenuItem (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%---------------------------------------------------------------------


% --- Executes on slider movement.
function alfaValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to alfaValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
set(handles.alfaCurrentValue,'String',...
   num2str(get(handles.alfaValueSlider,'Value')));

handles.param(2)=get(handles.alfaValueSlider,'Value');
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function alfaValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to alfaValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function alfaCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to alfaCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of alfaCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of alfaCurrentValue as a double
val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.alfaValueSlider,'Min') && ...
    val <= get(handles.alfaValueSlider,'Max')
set(handles.alfaValueSlider,'Value',val);
handles.param(2)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)
handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function alfaCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to alfaCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% --- Executes on slider movement.
function betaValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to betaValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.betaCurrentValue,'String',...
   num2str(get(handles.betaValueSlider,'Value')));

handles.param(3)=get(handles.betaValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function betaValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to betaValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function betaCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to betaCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of betaCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of betaCurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.betaValueSlider,'Min') && ...
    val <= get(handles.betaValueSlider,'Max')
set(handles.betaValueSlider,'Value',val);
handles.param(3)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function betaCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to betaCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over betaCurrentValue.
function betaCurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to betaCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function beta1ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to beta1ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.beta1CurrentValue,'String',...
   num2str(get(handles.beta1ValueSlider,'Value')));

handles.param(4)=get(handles.beta1ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function beta1ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta1ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function beta1CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to beta1CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of beta1CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of beta1CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.beta1ValueSlider,'Min') && ...
    val <= get(handles.beta1ValueSlider,'Max')
set(handles.beta1ValueSlider,'Value',val);
handles.param(4)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function beta1CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta1CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over beta1CurrentValue.
function beta1CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to beta1CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h11ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h11ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h11CurrentValue,'String',...
   num2str(get(handles.h11ValueSlider,'Value')));

handles.param(5)=get(handles.h11ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h11ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h11ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h11CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h11CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h11CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h11CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h11ValueSlider,'Min') && ...
    val <= get(handles.h11ValueSlider,'Max')
set(handles.h11ValueSlider,'Value',val);
handles.param(5)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h11CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h11CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h11CurrentValue.
function h11CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h11CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% --- Executes on slider movement.


% --- Executes on slider movement.
function h12ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h12ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h12CurrentValue,'String',...
   num2str(get(handles.h12ValueSlider,'Value')));

handles.param(6)=get(handles.h12ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h12ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h12ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h12CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h12CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h12CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h12CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h12ValueSlider,'Min') && ...
    val <= get(handles.h12ValueSlider,'Max')
set(handles.h12ValueSlider,'Value',val);
handles.param(6)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h12CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h12CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h12CurrentValue.
function h12CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h12CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h25ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h25ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h25CurrentValue,'String',...
   num2str(get(handles.h25ValueSlider,'Value')));

handles.param(7)=get(handles.h25ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h25ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h25ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h25CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h25CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h25CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h25CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h25ValueSlider,'Min') && ...
    val <= get(handles.h25ValueSlider,'Max')
set(handles.h25ValueSlider,'Value',val);
handles.param(7)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h25CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h25CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function handles=simulate(handles);
%get all parameters stored
p=handles.param;

%complete afterwards with more buttons
 %p(20:27)=[0.2111,0.0325,0.6755,1.0322,-0.0519,1.7474,1.4031,2.0404];
    
%pass them to function that will calculate the simulation - adapt
%Functions_vC_AER.m to gly.m --> take every figure

[tROS,SIM,tData,yData]=gly(p);

%PLOT RESULTS
axes(handles.simulation_axes);

%plot original data
plot(tData,yData,'.');

%plot simulated data
hold on;
plot(tROS,SIM,'-');
axis([0, inf, 0, inf]);
%legend({'Glu', 'FBP', '3PGA' ,'PEP', 'Lac'},'Location','BestOutside');
grid on;
hold off;

%results from simulation - keep?
handles.t=tROS;
handles.simul=SIM;

% --- Executes on slider movement.
function beta2ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to beta2ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.beta2CurrentValue,'String',...
   num2str(get(handles.beta2ValueSlider,'Value')));

handles.param(8)=get(handles.beta2ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles);
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function beta2ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta2ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function beta2CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to beta2CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of beta2CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of beta2CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.beta2ValueSlider,'Min') && ...
    val <= get(handles.beta2ValueSlider,'Max')
set(handles.beta2ValueSlider,'Value',val);
handles.param(8)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function beta2CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta2CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over beta2CurrentValue.
function beta2CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to beta2CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)beta2
% --- Executes on slider movement.

% --- Executes on slider movement.
function h22ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h22ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h22CurrentValue,'String',...
   num2str(get(handles.h22ValueSlider,'Value')));

handles.param(9)=get(handles.h22ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h22ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h22ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h22CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h22CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h22CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h22CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h22ValueSlider,'Min') && ...
    val <= get(handles.h22ValueSlider,'Max')
set(handles.h22ValueSlider,'Value',val);
handles.param(9)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h22CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h22CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% --- Executes on slider movement.
function h2atpValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h2atpValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h2atpCurrentValue,'String',...
   num2str(get(handles.h2atpValueSlider,'Value')));

handles.param(10)=get(handles.h2atpValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h2atpValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h2atpValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h2atpCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h2atpCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h2atpCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h2atpCurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h2atpValueSlider,'Min') && ...
    val <= get(handles.h2atpValueSlider,'Max')
set(handles.h2atpValueSlider,'Value',val);
handles.param(10)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h2atpCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h2atpCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h2atpCurrentValue.
function h2atpCurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h2atpCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% --- Executes on slider movement.


% --- Executes on slider movement.
function beta3ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to beta3ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.beta3CurrentValue,'String',...
   num2str(get(handles.beta3ValueSlider,'Value')));

handles.param(11)=get(handles.beta3ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function beta3ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta3ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function beta3CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to beta3CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of beta3CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of beta3CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.beta3ValueSlider,'Min') && ...
    val <= get(handles.beta3ValueSlider,'Max')
set(handles.beta3ValueSlider,'Value',val);
handles.param(11)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function beta3CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta3CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over beta3CurrentValue.
function beta3CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to beta3CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes on slider movement.
function h33ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h33ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h33CurrentValue,'String',...
   num2str(get(handles.h33ValueSlider,'Value')));

handles.param(12)=get(handles.h33ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h33ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h33ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h33CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h33CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h33CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h33CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h33ValueSlider,'Min') && ...
    val <= get(handles.h33ValueSlider,'Max')
set(handles.h33ValueSlider,'Value',val);
handles.param(12)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h33CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h33CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h33CurrentValue.
function h33CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h33CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h3piValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h3piValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h3piCurrentValue,'String',...
   num2str(get(handles.h3piValueSlider,'Value')));

handles.param(13)=get(handles.h3piValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h3piValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h3piValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h3piCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h3piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h3piCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h3piCurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h3piValueSlider,'Min') && ...
    val <= get(handles.h3piValueSlider,'Max')
set(handles.h3piValueSlider,'Value',val);
handles.param(13)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h3piCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h3piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h3piCurrentValue.
function h3piCurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h3piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes on slider movement.
function h3nadValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h3nadValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h3nadCurrentValue,'String',...
   num2str(get(handles.h3nadValueSlider,'Value')));

handles.param(14)=get(handles.h3nadValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h3nadValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h3nadValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h3nadCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h3nadCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h3nadCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h3nadCurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h3nadValueSlider,'Min') && ...
    val <= get(handles.h3nadValueSlider,'Max')
set(handles.h3nadValueSlider,'Value',val);
handles.param(14)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h3nadCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h3nadCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h3nadCurrentValue.
function h3nadCurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h3nadCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes on slider movement.
function beta52ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to beta52ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.beta52CurrentValue,'String',...
   num2str(get(handles.beta52ValueSlider,'Value')));

handles.param(15)=get(handles.beta52ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function beta52ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta52ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function beta52CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to beta52CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of beta52CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of beta52CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.beta52ValueSlider,'Min') && ...
    val <= get(handles.beta52ValueSlider,'Max')
set(handles.beta52ValueSlider,'Value',val);
handles.param(15)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function beta52CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta52CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over beta52CurrentValue.
function beta52CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to beta52CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h525ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h525ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h525CurrentValue,'String',...
   num2str(get(handles.h525ValueSlider,'Value')));

handles.param(16)=get(handles.h525ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h525ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h525ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h525CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h525CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h525CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h525CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h525ValueSlider,'Min') && ...
    val <= get(handles.h525ValueSlider,'Max')
set(handles.h525ValueSlider,'Value',val);
handles.param(16)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h525CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h525CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h525CurrentValue.
function h525CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h525CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes on slider movement.
function beta51ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to beta51ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.beta51CurrentValue,'String',...
   num2str(get(handles.beta51ValueSlider,'Value')));

handles.param(17)=get(handles.beta51ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function beta51ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta51ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function beta51CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to beta51CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of beta51CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of beta51CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.beta51ValueSlider,'Min') && ...
    val <= get(handles.beta51ValueSlider,'Max')
set(handles.beta51ValueSlider,'Value',val);
handles.param(17)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function beta51CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta51CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over beta51CurrentValue.
function beta51CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to beta51CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h513ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h513ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h513CurrentValue,'String',...
   num2str(get(handles.h513ValueSlider,'Value')));

handles.param(18)=get(handles.h513ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h513ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h513ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h513CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h513CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h513CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h513CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h513ValueSlider,'Min') && ...
    val <= get(handles.h513ValueSlider,'Max')
set(handles.h513ValueSlider,'Value',val);
handles.param(18)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h513CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h513CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h513CurrentValue.
function h513CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h513CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes on slider movement.
function h515ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h515ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h515CurrentValue,'String',...
   num2str(get(handles.h515ValueSlider,'Value')));

handles.param(19)=get(handles.h515ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h515ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h515ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h515CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h515CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h515CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h515CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h515ValueSlider,'Min') && ...
    val <= get(handles.h515ValueSlider,'Max')
set(handles.h515ValueSlider,'Value',val);
handles.param(19)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h515CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h515CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h515CurrentValue.
function h515CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h515CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h5piValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h51piValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h5piCurrentValue,'String',...
   num2str(get(handles.h51piValueSlider,'Value')));

handles.param(20)=get(handles.h51piValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h5piValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h51piValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h5piCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h5piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h5piCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h5piCurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h51piValueSlider,'Min') && ...
    val <= get(handles.h51piValueSlider,'Max')
set(handles.h51piValueSlider,'Value',val);
handles.param(20)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h5piCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h5piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h5piCurrentValue.
function h5piCurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h5piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)% --- Executes on slider movement.
function h51piValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h51piValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h51piCurrentValue,'String',...
   num2str(get(handles.h51piValueSlider,'Value')));

handles.param(20)=get(handles.h51piValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h51piValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h51piValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h51piCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h51piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h51piCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h51piCurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h51piValueSlider,'Min') && ...
    val <= get(handles.h51piValueSlider,'Max')
set(handles.h51piValueSlider,'Value',val);
handles.param(20)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h51piCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h51piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h51piCurrentValue.
function h51piCurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h51piCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes on slider movement.
function beta61ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to beta61ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.beta61CurrentValue,'String',...
   num2str(get(handles.beta61ValueSlider,'Value')));

handles.param(21)=get(handles.beta61ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function beta61ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta61ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function beta61CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to beta61CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of beta61CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of beta61CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.beta61ValueSlider,'Min') && ...
    val <= get(handles.beta61ValueSlider,'Max')
set(handles.beta61ValueSlider,'Value',val);
handles.param(21)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function beta61CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta61CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over beta61CurrentValue.
function beta61CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to beta61CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h616ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h616ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h616CurrentValue,'String',...
   num2str(get(handles.h616ValueSlider,'Value')));

handles.param(22)=get(handles.h616ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h616ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h616ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h616CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h616CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h616CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h616CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h616ValueSlider,'Min') && ...
    val <= get(handles.h616ValueSlider,'Max')
set(handles.h616ValueSlider,'Value',val);
handles.param(22)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h616CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h616CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h616CurrentValue.
function h616CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h616CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h613ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h613ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h613CurrentValue,'String',...
   num2str(get(handles.h613ValueSlider,'Value')));

handles.param(23)=get(handles.h613ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h613ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h613ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h613CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h613CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h613CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h613CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h613ValueSlider,'Min') && ...
    val <= get(handles.h613ValueSlider,'Max')
set(handles.h613ValueSlider,'Value',val);
handles.param(23)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h613CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h613CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h613CurrentValue.
function h613CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h613CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes on slider movement.
function h61nadValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h61nadValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h61nadCurrentValue,'String',...
   num2str(get(handles.h61nadValueSlider,'Value')));

handles.param(24)=get(handles.h61nadValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h61nadValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h61nadValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h61nadCurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h61nadCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h61nadCurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h61nadCurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h61nadValueSlider,'Min') && ...
    val <= get(handles.h61nadValueSlider,'Max')
set(handles.h61nadValueSlider,'Value',val);
handles.param(24)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h61nadCurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h61nadCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h61nadCurrentValue.
function h61nadCurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h61nadCurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function beta62ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to beta62ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.beta62CurrentValue,'String',...
   num2str(get(handles.beta62ValueSlider,'Value')));

handles.param(25)=get(handles.beta62ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function beta62ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta62ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function beta62CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to beta62CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of beta62CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of beta62CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.beta62ValueSlider,'Min') && ...
    val <= get(handles.beta62ValueSlider,'Max')
set(handles.beta62ValueSlider,'Value',val);
handles.param(25)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function beta62CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to beta62CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over beta62CurrentValue.
function beta62CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to beta62CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on slider movement.
function h262ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to h262ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.h262CurrentValue,'String',...
   num2str(get(handles.h262ValueSlider,'Value')));

handles.param(26)=get(handles.h262ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function h262ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h262ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function h262CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to h262CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of h262CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of h262CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.h262ValueSlider,'Min') && ...
    val <= get(handles.h262ValueSlider,'Max')
set(handles.h262ValueSlider,'Value',val);
handles.param(26)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function h262CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to h262CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over h262CurrentValue.
function h262CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to h262CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes on slider movement.
function k45ValueSlider_Callback(hObject, eventdata, handles)
% hObject    handle to k45ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

%gets the value of slider and writes it to the edit text box
set(handles.k45CurrentValue,'String',...
   num2str(get(handles.k45ValueSlider,'Value')));

handles.param(27)=get(handles.k45ValueSlider,'Value');

%very important! avoids overwritting other values!
guidata(hObject,handles)
% 
% %check what is written!!!
% disp('test')
% test=handles.param%doesn't get info about other
% alfa=get(handles.alfaValueSlider,'Value')
% 
% 

handles=simulate(handles);


% --- Executes during object creation, after setting all properties.
function k45ValueSlider_CreateFcn(hObject, eventdata, handles)
% hObject    handle to k45ValueSlider (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function k45CurrentValue_Callback(hObject, eventdata, handles)
% hObject    handle to k45CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of k45CurrentValue as text
%        str2double(get(hObject,'String')) returns contents of k45CurrentValue as a double

val = str2double(get(hObject,'String'));
% Determine whether val is a number between min and max
isnumeric(val) && length(val)==1 && ...
    val >= get(handles.k45ValueSlider,'Min') && ...
    val <= get(handles.k45ValueSlider,'Max')
set(handles.k45ValueSlider,'Value',val);
handles.param(27)=val;
%very important! avoids overwritting other values!
guidata(hObject,handles)

handles=simulate(handles);



% --- Executes during object creation, after setting all properties.
function k45CurrentValue_CreateFcn(hObject, eventdata, handles)
% hObject    handle to k45CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over k45CurrentValue.
function k45CurrentValue_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to k45CurrentValue (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

